"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Text = exports.StandardWithStartAdornment = exports.StandardWithError = exports.StandardWithDelay = exports.StandardAutocomplete = exports.Standard = exports.ReadOnlyAutocomplete = exports.OutlinedWithStartAdornment = exports.OutlinedWithError = exports.OutlinedSmall = exports.OutlinedLarge = exports.Outlined = exports.CustomDropdown = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _core = require("@material-ui/core");

var _LazyImage = _interopRequireDefault(require("../LazyImage"));

var _Dropdown = _interopRequireDefault(require("./Dropdown"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["value"],
    _excluded2 = ["value"],
    _excluded3 = ["value"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

// Data
var countries = ['Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Anguilla', 'Antigua Barbuda', 'Argentina', 'Armenia', 'Aruba', 'Australia', 'Austria'].map(function (opt, i) {
  return {
    value: "".concat(i).concat(i).concat(i).concat(i).concat(i),
    label: opt
  };
});
var optionsSecondaryStartAdornment = [{
  value: 'usd',
  label: 'USD',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-buy.png",
    alt: "icon buy"
  })
}, {
  value: 'btc',
  label: 'BTC',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-sell.png",
    alt: "icon sell"
  })
}, {
  value: 'ltc',
  label: 'LTC',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-send.png",
    alt: "icon send"
  })
}, {
  value: 'eth',
  label: 'ETH',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/cripto-receive.png",
    alt: "icon receive"
  })
}];
var numbers = [{
  value: '+52',
  label: '+52'
}, {
  value: '+53',
  label: '+53'
}, {
  value: '+54',
  label: '+54'
}, {
  value: '+55',
  label: '+55'
}];
var useStyles = (0, _core.makeStyles)(function () {
  return {
    paper: {
      backgroundColor: 'red'
    },
    list: {
      padding: 20
    },
    item: {
      textDecoration: 'underline'
    },
    itemSelected: {
      fontSize: '30px !important'
    }
  };
});
var _default = {
  title: 'Tauros-web-ui/Atoms/Dropdown',
  component: _Dropdown.default
};
exports.default = _default;

var DropdownComponent = function DropdownComponent(_ref) {
  var value = _ref.value,
      args = (0, _objectWithoutProperties2.default)(_ref, _excluded);

  var _useState = (0, _react.useState)(value),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      localValue = _useState2[0],
      setValue = _useState2[1];

  var onChangeInput = function onChangeInput(e) {
    return setValue(e.target.value);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Dropdown.default, _objectSpread(_objectSpread({}, args), {}, {
    value: localValue,
    onChange: onChangeInput
  }));
};

var CustomDropdownComponent = function CustomDropdownComponent(_ref2) {
  var value = _ref2.value,
      args = (0, _objectWithoutProperties2.default)(_ref2, _excluded2);
  var styles = useStyles();

  var _useState3 = (0, _react.useState)(value),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      localValue = _useState4[0],
      setValue = _useState4[1];

  var onChangeInput = function onChangeInput(e) {
    return setValue(e.target.value);
  };

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Dropdown.default, _objectSpread(_objectSpread({}, args), {}, {
    value: localValue,
    onChange: onChangeInput,
    classes: {
      classesMenu: {
        paper: styles.paper,
        list: styles.list
      },
      menuItem: styles.item,
      menuItemSelected: styles.itemSelected
    }
  }));
};

var DropdownWithDelayComponent = function DropdownWithDelayComponent(_ref3) {
  var value = _ref3.value,
      args = (0, _objectWithoutProperties2.default)(_ref3, _excluded3);

  var _useState5 = (0, _react.useState)(value),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      localValue = _useState6[0],
      setValue = _useState6[1];

  var _useState7 = (0, _react.useState)([]),
      _useState8 = (0, _slicedToArray2.default)(_useState7, 2),
      newOptions = _useState8[0],
      setOptions = _useState8[1];

  var onChangeInput = function onChangeInput(e) {
    return setValue(e.target.value);
  };

  (0, _react.useEffect)(function () {
    setTimeout(function () {
      setValue('11111');
    }, 2000);
    setTimeout(function () {
      setOptions(countries);
    }, 5000);
  }, []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Dropdown.default, _objectSpread(_objectSpread({}, args), {}, {
    value: localValue,
    onChange: onChangeInput,
    options: newOptions
  }));
};
/* Standard */


var Standard = DropdownComponent.bind({});
exports.Standard = Standard;
Standard.args = {
  value: '',
  options: [{
    value: '',
    label: 'Pais'
  }].concat((0, _toConsumableArray2.default)(countries))
};
var CustomDropdown = CustomDropdownComponent.bind({});
exports.CustomDropdown = CustomDropdown;
CustomDropdown.args = {
  value: '',
  placeholder: 'País',
  options: countries
};
var StandardWithError = DropdownComponent.bind({});
exports.StandardWithError = StandardWithError;
StandardWithError.args = {
  value: '',
  label: 'País',
  options: countries,
  error: true,
  helperText: 'Dropdown Text Error'
};
var StandardWithStartAdornment = DropdownComponent.bind({});
exports.StandardWithStartAdornment = StandardWithStartAdornment;
StandardWithStartAdornment.args = {
  value: '',
  options: optionsSecondaryStartAdornment,
  placeholder: 'Elije una moneda',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/add-icon.png",
    alt: "icon add"
  })
};
/* Secondary */

var Outlined = DropdownComponent.bind({});
exports.Outlined = Outlined;
Outlined.args = {
  value: '',
  options: countries,
  variant: 'outlined',
  placeholder: 'País'
};
var OutlinedWithError = DropdownComponent.bind({});
exports.OutlinedWithError = OutlinedWithError;
OutlinedWithError.args = {
  value: '',
  options: countries,
  variant: 'outlined',
  placeholder: 'País',
  error: true
};
var OutlinedWithStartAdornment = DropdownComponent.bind({});
exports.OutlinedWithStartAdornment = OutlinedWithStartAdornment;
OutlinedWithStartAdornment.args = {
  value: '',
  options: optionsSecondaryStartAdornment,
  variant: 'outlined',
  placeholder: 'Elije una moneda',
  startAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(_LazyImage.default, {
    src: "./images/add-icon.png",
    alt: "icon add"
  })
};
var OutlinedSmall = DropdownComponent.bind({});
exports.OutlinedSmall = OutlinedSmall;
OutlinedSmall.args = {
  value: '',
  options: numbers,
  variant: 'outlined',
  placeholder: 'Default',
  size: 'small'
};
var OutlinedLarge = DropdownComponent.bind({});
exports.OutlinedLarge = OutlinedLarge;
OutlinedLarge.args = {
  value: '',
  options: countries,
  variant: 'outlined',
  placeholder: 'Default',
  size: 'large'
};
/* Text */

var Text = DropdownComponent.bind({});
exports.Text = Text;
Text.args = {
  value: '',
  options: countries,
  variant: 'text',
  placeholder: 'País',
  fullWidth: false,
  size: 'small'
};
var StandardAutocomplete = DropdownComponent.bind({});
exports.StandardAutocomplete = StandardAutocomplete;
StandardAutocomplete.args = {
  value: '',
  label: 'País',
  options: countries,
  withAutocomplete: true
};
var ReadOnlyAutocomplete = DropdownComponent.bind({});
exports.ReadOnlyAutocomplete = ReadOnlyAutocomplete;
ReadOnlyAutocomplete.args = {
  value: '',
  label: 'País',
  options: countries,
  withAutocomplete: true,
  InputProps: {
    readOnly: true
  }
};
var StandardWithDelay = DropdownWithDelayComponent.bind({});
exports.StandardWithDelay = StandardWithDelay;
StandardWithDelay.args = {
  value: ''
};