"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _clsx4 = _interopRequireDefault(require("clsx"));

var _fi = require("react-icons/fi");

var _core = require("@material-ui/core");

var _validateClassName = _interopRequireDefault(require("../../../utils/validateClassName"));

var _Codes = _interopRequireDefault(require("../Codes"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["classes", "type", "className", "startAdornment", "endAdornment", "value", "validation", "helperText", "helperTextPosition", "error", "variant", "onChange", "select", "withLine", "withSuccess", "setError", "size", "label", "textRight", "innerRef", "focus", "InputProps", "inputProps", "fullWidth", "isLoading", "loadingSize", "InputLabelProps"],
    _excluded2 = ["root", "input", "focused", "underline", "notchedOutline", "icon", "classesInputLabel", "classesFormHelperText"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var Input = function Input(props) {
  var _clsx, _objectSpread8, _objectSpread9, _objectSpread10, _objectSpread11, _objectSpread12, _objectSpread13, _objectSpread16;

  var classesProps = props.classes,
      type = props.type,
      className = props.className,
      startAdornment = props.startAdornment,
      endAdornment = props.endAdornment,
      value = props.value,
      validation = props.validation,
      helperText = props.helperText,
      helperTextPosition = props.helperTextPosition,
      error = props.error,
      variant = props.variant,
      onChange = props.onChange,
      select = props.select,
      withLine = props.withLine,
      withSuccess = props.withSuccess,
      setError = props.setError,
      size = props.size,
      label = props.label,
      textRight = props.textRight,
      innerRef = props.innerRef,
      focus = props.focus,
      InputProps = props.InputProps,
      inputProps = props.inputProps,
      _props$fullWidth = props.fullWidth,
      fullWidth = _props$fullWidth === void 0 ? true : _props$fullWidth,
      isLoading = props.isLoading,
      loadingSize = props.loadingSize,
      InputLabelProps = props.InputLabelProps,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  var classes = (0, _styles.default)({
    loadingSize: loadingSize
  });

  var _useState = (0, _react.useState)(true),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      icon = _useState2[0],
      setIcon = _useState2[1];

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      validationInput = _useState4[0],
      setValidationInput = _useState4[1];

  (0, _react.useEffect)(function () {
    if (value.length === 0) {
      setValidationInput(null);
    } else {
      setValidationInput(validation);
    }
  }, [validation, value]);

  var changeIcon = function changeIcon() {
    setIcon(!icon);
  };

  var validateType = type === 'password' ? icon ? 'password' : 'text' : type;
  var validateShowIconEyes = type && type === 'password' && !endAdornment;
  var secondary = variant !== 'standard';
  if (type === 'code' || type === 'nip') return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Codes.default, _objectSpread({}, props));
  var adornmentSelectClasses = (0, _clsx4.default)((_clsx = {}, (0, _defineProperty2.default)(_clsx, classes.adornedSelect, select), (0, _defineProperty2.default)(_clsx, classes.adornedSelectOutlined, select && secondary), (0, _defineProperty2.default)(_clsx, classes.adornedSelectOutlinedError, select && secondary && error), _clsx));

  var EndIcon = function EndIcon() {
    if (isLoading) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.InputAdornment, {
        position: "start",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: classes.stage,
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
            className: classes.dotFlashing
          })
        })
      });
    } else if (validateShowIconEyes) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.InputAdornment, {
        position: "start",
        children: icon ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiEyeOff, {
          onClick: changeIcon,
          className: (0, _clsx4.default)(_objectSpread((0, _defineProperty2.default)({}, classes.iconMaterial, true), (0, _validateClassName.default)(classesIcon)))
        }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiEye, {
          onClick: changeIcon,
          className: (0, _clsx4.default)(_objectSpread((0, _defineProperty2.default)({}, classes.iconMaterial, true), (0, _validateClassName.default)(classesIcon)))
        })
      });
    } else {
      return endAdornment || null;
    }
  };

  var _ref = classesProps || {},
      classesRoot = _ref.root,
      classesInput = _ref.input,
      classesFocused = _ref.focused,
      classesUnderline = _ref.underline,
      classesNotchedOutline = _ref.notchedOutline,
      classesIcon = _ref.icon,
      classesInputLabel = _ref.classesInputLabel,
      classesFormHelperText = _ref.classesFormHelperText,
      restClasses = (0, _objectWithoutProperties2.default)(_ref, _excluded2);

  if (variant === 'gradient') {
    var _clsx2, _objectSpread5, _clsx3;

    return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: (0, _clsx4.default)(_objectSpread((0, _defineProperty2.default)({}, classes.rootGradient, true), (0, _validateClassName.default)(classesRoot))),
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: classes.contentLabel,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("label", {
          htmlFor: String(label),
          className: classes.labelGradient,
          children: label
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: textRight
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: (0, _clsx4.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, classes.contentInput, true), (0, _defineProperty2.default)(_clsx2, classes.contentInputError, error), _clsx2)),
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("input", _objectSpread(_objectSpread(_objectSpread({
          value: value,
          type: validateType,
          className: (0, _clsx4.default)(_objectSpread(_objectSpread((_objectSpread5 = {}, (0, _defineProperty2.default)(_objectSpread5, classes.fullWidth, fullWidth), (0, _defineProperty2.default)(_objectSpread5, classes.input, true), (0, _defineProperty2.default)(_objectSpread5, classes.inputFocus, focus), (0, _defineProperty2.default)(_objectSpread5, classes.inputIcon, type === 'password'), _objectSpread5), (0, _validateClassName.default)(classesInput)), (0, _validateClassName.default)(className))),
          id: String(label),
          ref: innerRef,
          autoComplete: "new-password",
          onChange: onChange
        }, inputProps), InputProps), rest)), type === 'password' && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: (0, _clsx4.default)(_objectSpread((0, _defineProperty2.default)({}, classes.icon, true), (0, _validateClassName.default)(classesIcon))),
          children: icon ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiEyeOff, {
            onClick: changeIcon,
            className: classesIcon
          }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiEye, {
            onClick: changeIcon,
            className: classesIcon
          })
        })]
      }), helperText && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: (0, _clsx4.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, classes.contentHelper, true), (0, _defineProperty2.default)(_clsx3, classes.contentHelperError, error), (0, _defineProperty2.default)(_clsx3, classes.contentHelperTextRight, helperTextPosition === 'right'), _clsx3)),
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: helperText
        })
      })]
    });
  }

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.TextField, _objectSpread({
    value: value,
    label: label,
    type: validateType,
    variant: variant,
    inputProps: inputProps,
    className: (0, _clsx4.default)(_objectSpread((0, _defineProperty2.default)({}, classes.fullWidth, fullWidth), (0, _validateClassName.default)(className))),
    InputProps: _objectSpread(_objectSpread({}, InputProps), {}, {
      classes: _objectSpread(_objectSpread({}, restClasses), {}, {
        root: (0, _clsx4.default)(_objectSpread((_objectSpread8 = {}, (0, _defineProperty2.default)(_objectSpread8, classes.inputMedium, size === 'medium'), (0, _defineProperty2.default)(_objectSpread8, classes.inputSmall, size === 'small'), (0, _defineProperty2.default)(_objectSpread8, classes.inputLarge, size === 'large'), (0, _defineProperty2.default)(_objectSpread8, classes.inputOutlined, secondary), (0, _defineProperty2.default)(_objectSpread8, classes.focusBackground, focus), (0, _defineProperty2.default)(_objectSpread8, adornmentSelectClasses, !!startAdornment || !!endAdornment), _objectSpread8), (0, _validateClassName.default)(classesRoot))),
        input: (0, _clsx4.default)(_objectSpread((_objectSpread9 = {}, (0, _defineProperty2.default)(_objectSpread9, classes.default, true), (0, _defineProperty2.default)(_objectSpread9, classes.inputOutlinedSmall, size === 'small' && secondary), (0, _defineProperty2.default)(_objectSpread9, classes.inputOutlinedLarge, size === 'large' && secondary), _objectSpread9), (0, _validateClassName.default)(classesInput))),
        focused: (0, _clsx4.default)(_objectSpread((_objectSpread10 = {}, (0, _defineProperty2.default)(_objectSpread10, classes.focusedSecondary, secondary), (0, _defineProperty2.default)(_objectSpread10, classes.focusedSelect, select), (0, _defineProperty2.default)(_objectSpread10, classes.focusedSelectOutlined, select && secondary), _objectSpread10), (0, _validateClassName.default)(classesFocused))),
        underline: !secondary ? (0, _clsx4.default)(_objectSpread((_objectSpread11 = {}, (0, _defineProperty2.default)(_objectSpread11, classes.underlineSuccess, validationInput), (0, _defineProperty2.default)(_objectSpread11, classes.underlineError, validationInput === false), _objectSpread11), (0, _validateClassName.default)(classesUnderline))) : undefined,
        notchedOutline: secondary ? (0, _clsx4.default)(_objectSpread((_objectSpread12 = {}, (0, _defineProperty2.default)(_objectSpread12, classes.notchedOutlined, true), (0, _defineProperty2.default)(_objectSpread12, classes.notchedSuccess, validationInput), (0, _defineProperty2.default)(_objectSpread12, classes.notchedError, validationInput === false), (0, _defineProperty2.default)(_objectSpread12, classes.notchedSelectOutlined, select && secondary), _objectSpread12), (0, _validateClassName.default)(classesNotchedOutline))) : undefined
      }),
      readOnly: (InputProps === null || InputProps === void 0 ? void 0 : InputProps.readOnly) || isLoading,
      startAdornment: startAdornment && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.InputAdornment, {
        position: "start",
        children: startAdornment
      }),
      endAdornment: /*#__PURE__*/(0, _jsxRuntime.jsx)(EndIcon, {})
    }),
    InputLabelProps: _objectSpread(_objectSpread({}, InputLabelProps), {}, {
      classes: _objectSpread(_objectSpread({}, classesInputLabel), {}, {
        root: (0, _clsx4.default)(_objectSpread((_objectSpread13 = {}, (0, _defineProperty2.default)(_objectSpread13, classes.label, true), (0, _defineProperty2.default)(_objectSpread13, classes.colorSuccess, validationInput), (0, _defineProperty2.default)(_objectSpread13, classes.colorError, validationInput === false), _objectSpread13), (0, _validateClassName.default)(classesInputLabel === null || classesInputLabel === void 0 ? void 0 : classesInputLabel.root))),
        shrink: (0, _clsx4.default)(_objectSpread((0, _defineProperty2.default)({}, classes.labelShrink, true), (0, _validateClassName.default)(classesInputLabel === null || classesInputLabel === void 0 ? void 0 : classesInputLabel.shrink))),
        error: (0, _clsx4.default)(_objectSpread((0, _defineProperty2.default)({}, classes.colorError, true), (0, _validateClassName.default)(classesInputLabel === null || classesInputLabel === void 0 ? void 0 : classesInputLabel.error)))
      })
    }),
    FormHelperTextProps: {
      classes: _objectSpread(_objectSpread({}, classesFormHelperText), {}, {
        root: (0, _clsx4.default)(_objectSpread((_objectSpread16 = {}, (0, _defineProperty2.default)(_objectSpread16, classes.helperText, true), (0, _defineProperty2.default)(_objectSpread16, classes.colorSuccess, validationInput), (0, _defineProperty2.default)(_objectSpread16, classes.colorError, validationInput === false), _objectSpread16), (0, _validateClassName.default)(classesFormHelperText === null || classesFormHelperText === void 0 ? void 0 : classesFormHelperText.root)))
      })
    },
    helperText: helperText,
    error: error,
    onChange: onChange,
    innerRef: innerRef
  }, rest));
};

Input.defaultProps = {
  value: '',
  className: '',
  type: 'text',
  variant: 'standard',
  validation: null,
  helperText: null,
  helperTextPosition: 'left',
  error: false,
  size: 'medium',
  focus: false,
  isLoading: false,
  loadingSize: 6
};
var _default = Input;
exports.default = _default;