"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _core = require("@material-ui/core");

var _reactLotties = _interopRequireDefault(require("react-lotties"));

var _clsx3 = _interopRequireDefault(require("clsx"));

var _dark = _interopRequireDefault(require("./dark.json"));

var _light = _interopRequireDefault(require("./light.json"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["classes", "showLoader", "rootHeight", "rootWidth", "position", "extraStyle", "height", "width", "minHeight", "minWidth", "maxHeight", "maxWidth", "isDark", "miniLoader", "isModal", "durationFade"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var Loader = function Loader(props) {
  var _clsx2;

  var classes = props.classes,
      showLoader = props.showLoader,
      _props$rootHeight = props.rootHeight,
      rootHeight = _props$rootHeight === void 0 ? '100%' : _props$rootHeight,
      _props$rootWidth = props.rootWidth,
      rootWidth = _props$rootWidth === void 0 ? '100%' : _props$rootWidth,
      _props$position = props.position,
      position = _props$position === void 0 ? 'relative' : _props$position,
      _props$extraStyle = props.extraStyle,
      extraStyle = _props$extraStyle === void 0 ? {} : _props$extraStyle,
      _props$height = props.height,
      height = _props$height === void 0 ? 0 : _props$height,
      _props$width = props.width,
      width = _props$width === void 0 ? 0 : _props$width,
      _props$minHeight = props.minHeight,
      minHeight = _props$minHeight === void 0 ? 80 : _props$minHeight,
      _props$minWidth = props.minWidth,
      minWidth = _props$minWidth === void 0 ? 80 : _props$minWidth,
      _props$maxHeight = props.maxHeight,
      maxHeight = _props$maxHeight === void 0 ? 120 : _props$maxHeight,
      _props$maxWidth = props.maxWidth,
      maxWidth = _props$maxWidth === void 0 ? 120 : _props$maxWidth,
      _props$isDark = props.isDark,
      isDark = _props$isDark === void 0 ? undefined : _props$isDark,
      _props$miniLoader = props.miniLoader,
      miniLoader = _props$miniLoader === void 0 ? false : _props$miniLoader,
      _props$isModal = props.isModal,
      isModal = _props$isModal === void 0 ? false : _props$isModal,
      _props$durationFade = props.durationFade,
      durationFade = _props$durationFade === void 0 ? 1000 : _props$durationFade,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  var styles = (0, _styles.default)();
  var theme = (0, _core.useTheme)();
  var isDarkWithTheme = isDark !== undefined ? isDark : theme.palette.type === 'dark';
  var defaultOptions = {
    loop: true,
    autoplay: true,
    animationData: isDarkWithTheme ? _dark.default : _light.default,
    rendererSettings: {
      preserveAspectRatio: 'xMidYMid slice'
    }
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", _objectSpread(_objectSpread({
    className: (0, _clsx3.default)((0, _defineProperty2.default)({}, classes === null || classes === void 0 ? void 0 : classes.container, !!(classes !== null && classes !== void 0 && classes.container))),
    style: _objectSpread({
      position: isModal ? 'unset' : position,
      height: rootHeight,
      width: rootWidth
    }, extraStyle)
  }, rest), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Fade, {
      in: showLoader,
      timeout: durationFade,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: (0, _clsx3.default)((_clsx2 = {}, (0, _defineProperty2.default)(_clsx2, styles.dark, isDarkWithTheme), (0, _defineProperty2.default)(_clsx2, styles.light, !isDarkWithTheme), (0, _defineProperty2.default)(_clsx2, styles.containerModal, isModal), (0, _defineProperty2.default)(_clsx2, styles.container, true), (0, _defineProperty2.default)(_clsx2, classes === null || classes === void 0 ? void 0 : classes.loader, !!(classes !== null && classes !== void 0 && classes.loader)), _clsx2)),
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactLotties.default, {
          options: defaultOptions,
          height: height >= 1 ? "".concat(height, "px") : !miniLoader ? "".concat(maxHeight, "px") : "".concat(minHeight, "px"),
          width: width >= 1 ? "".concat(width, "px") : !miniLoader ? "".concat(maxWidth, "px") : "".concat(minWidth, "px")
        })
      })
    })
  }));
};

var _default = Loader;
exports.default = _default;