"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithoutArrow = exports.Default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _core = require("@material-ui/core");

var _Popper = _interopRequireDefault(require("./Popper"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

var _default = {
  title: 'Tauros-web-ui/Atoms/Popper',
  component: _Popper.default
};
exports.default = _default;
var useStyles = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    containerItem: {
      display: 'grid',
      gridTemplateColumns: '1fr 1fr',
      margin: '5px 0',
      '& > p': {
        fontSize: '12px',
        lineHeight: '15px',
        letterSpacing: '0.234px',
        color: (palette === null || palette === void 0 ? void 0 : palette.type) === 'dark' ? '#DEE2E8' : '#000',
        fontWeight: 500
      },
      '& > p:last-child': {
        color: (palette === null || palette === void 0 ? void 0 : palette.type) === 'dark' ? '#ADC9F1' : '#0D131A',
        textAlign: 'right'
      }
    }
  };
});
var placements = ['top', 'bottom', 'left', 'right'];

var PopperModalComponent = function PopperModalComponent(args) {
  var _useState = (0, _react.useState)(null),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      anchorEl = _useState2[0],
      setAnchorEl = _useState2[1];

  var _useState3 = (0, _react.useState)('top'),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      placement = _useState4[0],
      setPlacement = _useState4[1];

  var styles = useStyles();

  var handlePopperOpen = function handlePopperOpen(placement) {
    return function (event) {
      setPlacement(placement);
      setAnchorEl(event.currentTarget);
    };
  };

  var handlePopperClose = function handlePopperClose() {
    setAnchorEl(null);
  };

  var open = Boolean(anchorEl);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
    style: {
      width: '100%',
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center',
      height: 300
    },
    children: [placements.map(function (placement) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
        style: {
          marginBottom: 10
        },
        onMouseEnter: handlePopperOpen(placement),
        onMouseLeave: handlePopperClose,
        children: placement.toUpperCase()
      }, placement);
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Popper.default, _objectSpread(_objectSpread({}, args), {}, {
      open: open,
      placement: placement,
      anchorEl: anchorEl,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
        className: styles.containerItem,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: "Precio promedio:"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: "\u2248 800,0004.06"
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
        className: styles.containerItem,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: "Total BTC:"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: "0.01609885"
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
        className: styles.containerItem,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: "Total MXN:"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          children: "13,454,81"
        })]
      })]
    }))]
  });
};

var Default = PopperModalComponent.bind({});
exports.Default = Default;
var WithoutArrow = PopperModalComponent.bind({});
exports.WithoutArrow = WithoutArrow;
WithoutArrow.args = {
  arrow: false
};