"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _clsx = _interopRequireDefault(require("clsx"));

var _core = require("@material-ui/core");

var _validateClassName = _interopRequireDefault(require("../../../utils/validateClassName"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["classes", "disabled"],
    _excluded2 = ["exchange"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

// Data slider
var marks = [{
  value: 0
}, {
  value: 25
}, {
  value: 50
}, {
  value: 75
}, {
  value: 100
}];

var SliderComponent = function SliderComponent(props) {
  var _objectSpread4;

  var styles = (0, _styles.default)();
  var classes = props.classes,
      disabled = props.disabled,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Slider, _objectSpread({
    classes: _objectSpread(_objectSpread({}, classes), {}, {
      root: (0, _clsx.default)(_objectSpread((0, _defineProperty2.default)({}, styles.root, true), (0, _validateClassName.default)(classes === null || classes === void 0 ? void 0 : classes.root))),
      mark: (0, _clsx.default)(_objectSpread((0, _defineProperty2.default)({}, styles.mark, true), (0, _validateClassName.default)(classes === null || classes === void 0 ? void 0 : classes.mark))),
      markActive: (0, _clsx.default)(_objectSpread((_objectSpread4 = {}, (0, _defineProperty2.default)(_objectSpread4, styles.markActive, true), (0, _defineProperty2.default)(_objectSpread4, styles.markDisabled, disabled), _objectSpread4), (0, _validateClassName.default)(classes === null || classes === void 0 ? void 0 : classes.markActive))),
      rail: (0, _clsx.default)(_objectSpread((0, _defineProperty2.default)({}, styles.rail, true), (0, _validateClassName.default)(classes === null || classes === void 0 ? void 0 : classes.rail))),
      track: (0, _clsx.default)(_objectSpread((0, _defineProperty2.default)({}, styles.track, true), (0, _validateClassName.default)(classes === null || classes === void 0 ? void 0 : classes.track))),
      thumb: (0, _clsx.default)(_objectSpread((0, _defineProperty2.default)({}, styles.thumb, true), (0, _validateClassName.default)(classes === null || classes === void 0 ? void 0 : classes.thumb)))
    }),
    disabled: disabled
  }, rest));
};

var SliderComponentFinal = function SliderComponentFinal(props) {
  var exchange = props.exchange,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded2);

  if (exchange) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(SliderComponent, _objectSpread({
      valueLabelDisplay: "auto",
      valueLabelFormat: function valueLabelFormat(value) {
        return "".concat(value, "%");
      },
      getAriaValueText: function getAriaValueText(value) {
        return "".concat(value, "%");
      },
      step: 1,
      marks: marks,
      min: 0,
      max: 100
    }, rest));
  }

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(SliderComponent, _objectSpread({}, rest));
};

var _default = SliderComponentFinal;
exports.default = _default;