import { ChangeEventHandler, MutableRefObject } from 'react';
import { MenuClassKey } from '@material-ui/core';
import { ClassNameMap } from '@material-ui/core/styles/withStyles';
import { IOption } from '../../Atoms/Dropdown/interfaces';
export interface IMenuDropdown {
    open: boolean;
    value: string;
    onChange?: ChangeEventHandler<HTMLInputElement | HTMLTextAreaElement>;
    options: IOption[];
    inputRef: MutableRefObject<HTMLInputElement | null>;
    secondary: boolean;
    scrollSize?: 'small' | 'medium' | 'large';
    withAutocomplete: boolean;
    classes?: {
        classesMenu?: Partial<ClassNameMap<MenuClassKey>>;
        classesMenuItem?: string;
        classesMenuItemSelected?: string;
    };
}
