"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    popper: {
      top: '1px !important',
      zIndex: 11,
      padding: 0,
      backgroundColor: 'transparent'
    },
    paperOutlined: {
      boxShadow: '0px 0px 5px 1px rgba(177, 192, 201, 0.4)'
    },
    menuList: {
      padding: 0,
      maxHeight: 200,
      overflowX: 'auto',
      '&::-webkit-scrollbar-thumb': {
        borderRadius: 4
      },
      '& > li': {
        fontSize: 14,
        minHeight: 45,
        width: '100%',
        maxWidth: 'auto',
        whiteSpace: 'pre-wrap',
        display: 'flex',
        alignItems: 'center',
        justifyContet: 'center',
        '&:first-child': {
          borderTopLeftRadius: 4,
          borderTopRightRadius: 4
        },
        '&:last-child': {
          borderBottomLeftRadius: 4,
          borderBottomRightRadius: 4
        },
        '&:hover, &:focus': {
          fontWeight: 500,
          backgroundColor: palette.secondary.main
        },
        '& img': {
          width: 28,
          marginRight: 15
        },
        '& > span': {
          display: 'flex !important'
        }
      }
    },
    scrollBarSmall: {
      '&::-webkit-scrollbar': {
        width: 5
      },
      '& > li': {
        fontSize: 12,
        width: '100%',
        minHeight: 0
      }
    },
    paper: {
      width: function width(_ref2) {
        var widthRef = _ref2.widthRef;
        return widthRef;
      },
      boxShadow: 'none'
    },
    selectedMenu: {
      backgroundColor: "".concat(palette.primary.main, " !important"),
      backgroundSize: 16,
      backgroundRepeat: 'no-repeat',
      backgroundPosition: '95% center',
      color: palette.secondary.main,
      fontWeight: 500
    }
  };
});

exports.default = _default;