"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = TabsComponent;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _clsx4 = _interopRequireDefault(require("clsx"));

var _lodash = require("lodash");

var _core = require("@material-ui/core");

var _validateClassName = _interopRequireDefault(require("../../../utils/validateClassName"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var _excluded = ["childrenHead", "childrenContent", "className", "onChange", "value", "size", "classes", "variant", "fullWidth", "borders"],
    _excluded2 = ["label", "value", "onClick"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/**
 * @param {string=} circle - Deprecated: Use `variant="circle"`
 */
function TabsComponent(_ref) {
  var _objectSpread2, _objectSpread3;

  var childrenHead = _ref.childrenHead,
      childrenContent = _ref.childrenContent,
      className = _ref.className,
      onChange = _ref.onChange,
      value = _ref.value,
      size = _ref.size,
      classes = _ref.classes,
      _ref$variant = _ref.variant,
      variant = _ref$variant === void 0 ? 'line-top' : _ref$variant,
      _ref$fullWidth = _ref.fullWidth,
      fullWidth = _ref$fullWidth === void 0 ? true : _ref$fullWidth,
      borders = _ref.borders,
      rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var styles = (0, _styles.default)();
  var circle = (0, _lodash.isEqual)(variant, 'circle') || (0, _lodash.isEqual)(variant, 'circle-outlined') || (0, _lodash.isEqual)(variant, 'circle-filled');
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    className: (0, _clsx4.default)(styles.root, (0, _defineProperty2.default)({}, classes === null || classes === void 0 ? void 0 : classes.root, !!(classes !== null && classes !== void 0 && classes.root))),
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Tabs, _objectSpread(_objectSpread({}, rest), {}, {
      color: "primary",
      indicatorColor: "primary",
      textColor: "primary",
      variant: fullWidth ? 'fullWidth' : 'standard',
      className: (0, _clsx4.default)(_objectSpread(_objectSpread((_objectSpread2 = {}, (0, _defineProperty2.default)(_objectSpread2, styles.tabSpace, borders && !circle), (0, _defineProperty2.default)(_objectSpread2, styles.tabsHeadBackground, (0, _lodash.isEqual)(variant, 'circle')), (0, _defineProperty2.default)(_objectSpread2, styles.tabHeadTop, (0, _lodash.isEqual)(variant, 'line-top') && borders), (0, _defineProperty2.default)(_objectSpread2, styles.circle, circle), (0, _defineProperty2.default)(_objectSpread2, styles.tabsHead, true), _objectSpread2), (0, _validateClassName.default)(classes === null || classes === void 0 ? void 0 : classes.tabs)), (0, _validateClassName.default)(className))),
      onChange: onChange,
      value: value,
      classes: {
        indicator: (0, _clsx4.default)(_objectSpread((_objectSpread3 = {}, (0, _defineProperty2.default)(_objectSpread3, styles.indicator, borders && !circle), (0, _defineProperty2.default)(_objectSpread3, styles.indicatorTop, (0, _lodash.isEqual)(variant, 'line-top')), (0, _defineProperty2.default)(_objectSpread3, styles.indicatorBottom, (0, _lodash.isEqual)(variant, 'line-bottom')), (0, _defineProperty2.default)(_objectSpread3, styles.circleIndicator, circle), _objectSpread3), (0, _validateClassName.default)(classes === null || classes === void 0 ? void 0 : classes.indicator)))
      },
      children: childrenHead.map(function (_ref2, index) {
        var _objectSpread4, _clsx3;

        var label = _ref2.label,
            value = _ref2.value,
            _onClick = _ref2.onClick,
            rest = (0, _objectWithoutProperties2.default)(_ref2, _excluded2);
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Tab, _objectSpread({
          label: label,
          disableRipple: (0, _lodash.isEqual)(variant, 'circle'),
          onClick: function onClick() {
            if (_onClick) _onClick(value);
          },
          classes: {
            wrapper: (0, _clsx4.default)((0, _defineProperty2.default)({}, styles.textNormal, true)),
            root: (0, _clsx4.default)(_objectSpread((_objectSpread4 = {}, (0, _defineProperty2.default)(_objectSpread4, styles.tab, !circle && borders), (0, _defineProperty2.default)(_objectSpread4, styles.tabFisrt, (0, _lodash.isEqual)(index, 0 && !circle)), (0, _defineProperty2.default)(_objectSpread4, styles.tabLast, (0, _lodash.isEqual)(index, childrenHead.length - 1 && !circle)), (0, _defineProperty2.default)(_objectSpread4, styles.tabSmall, (0, _lodash.isEqual)(size, 'small')), (0, _defineProperty2.default)(_objectSpread4, styles.tabLarge, (0, _lodash.isEqual)(size, 'large')), (0, _defineProperty2.default)(_objectSpread4, styles.tabTiny, (0, _lodash.isEqual)(size, 'tiny')), (0, _defineProperty2.default)(_objectSpread4, styles.circleTab, circle), _objectSpread4), (0, _validateClassName.default)(classes === null || classes === void 0 ? void 0 : classes.tab))),
            selected: (0, _clsx4.default)((_clsx3 = {}, (0, _defineProperty2.default)(_clsx3, styles.tabActive, !circle), (0, _defineProperty2.default)(_clsx3, styles.circleTabActive, (0, _lodash.isEqual)(variant, 'circle')), (0, _defineProperty2.default)(_clsx3, styles.circleTabActiveOutlined, (0, _lodash.isEqual)(variant, 'circle-outlined')), (0, _defineProperty2.default)(_clsx3, styles.circleTabActiveFilled, (0, _lodash.isEqual)(variant, 'circle-filled')), (0, _defineProperty2.default)(_clsx3, styles.tabSelected, borders && !circle), _clsx3))
          }
        }, rest), index);
      })
    })), childrenContent === null || childrenContent === void 0 ? void 0 : childrenContent.map(function (Component, index) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_react.Fragment, {
        children: (0, _lodash.isEqual)(value, index) && /*#__PURE__*/(0, _jsxRuntime.jsx)(Component, {})
      }, index);
    })]
  });
}