"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    root: {
      width: '100%'
    },
    tabSpace: {
      minHeight: 'auto'
    },
    tabsHeadBackground: {
      backgroundColor: palette.type === 'light' ? '#F5FAFF' : '#8696A8',
      width: '100%',
      minHeight: 44
    },
    textNormal: {
      textTransform: 'none'
    },
    tabHeadTop: {
      borderTopWidth: 1,
      borderTopLeftRadius: 5,
      borderTopRightRadius: 5,
      borderTop: "1px solid ".concat(palette.primary.main)
    },
    tabsHead: {
      minHeight: 'auto'
    },
    tabsContent: {
      width: '100%'
    },
    tab: {
      background: '#FFFFFF',
      minHeight: 40,
      color: palette.common.greyLight,
      borderLeft: '1px solid #DCDEE3',
      borderRight: '1px solid #DCDEE3',
      borderBottom: '1px solid #DCDEE3'
    },
    tabLast: {
      borderLeft: 'unset'
    },
    tabFisrt: {
      borderRight: 'unset'
    },
    tabActive: {
      boxShadow: 'unset',
      color: '#3D5266',
      borderBottom: 'unset'
    },
    tabTiny: {
      minHeight: 16,
      height: 16,
      fontSize: '12px !important'
    },
    tabSmall: {
      minHeight: 20,
      height: 20,
      fontSize: '13px !important'
    },
    tabLarge: {
      minHeight: 60
    },
    indicator: {
      backgroundColor: palette.type === 'light' ? palette.primary.main : palette.secondary.main
    },
    indicatorTop: {
      top: 0
    },
    indicatorBottom: {
      bottom: 0
    },
    tabSelected: {
      color: "".concat(palette.type === 'light' ? palette.primary.main : palette.secondary.main, " !important")
    },
    circle: {
      borderRadius: 27,
      display: 'flex',
      alignItems: 'center',
      borderTop: 'unset'
    },
    circleContent: {
      backgroundColor: 'transparent'
    },
    circleIndicator: {
      backgroundColor: 'transparent'
    },
    circleTab: {
      borderRadius: '25px',
      fontSize: 14,
      lineHeight: '16px',
      textAlign: 'center',
      letterSpacing: '0.273px',
      textTransform: 'capitalize',
      color: '#3D5266'
    },
    circleTabActive: {
      background: '#FFFFFF',
      boxShadow: palette.type === 'light' ? '0px 0px 16px rgba(207, 218, 229, 0.8)' : '0px 0px 15px rgba(0, 0, 0, 0.12)',
      margin: '2px 2px',
      color: '#3D5266'
    },
    circleTabActiveOutlined: {
      border: "1px solid ".concat(palette.primary.main)
    },
    circleTabActiveFilled: {
      backgroundColor: palette.primary.main,
      color: "".concat(palette.secondary.main, " !important")
    }
  };
});

exports.default = _default;