"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _core = require("@material-ui/core");

var _bs = require("react-icons/bs");

var _ai = require("react-icons/ai");

var _fi = require("react-icons/fi");

var _Atoms = require("../../Atoms");

var _Context = _interopRequireDefault(require("./Context"));

var _styles = _interopRequireDefault(require("./styles"));

var _jsxRuntime = require("react/jsx-runtime");

var Toast = function Toast(props) {
  var _context$openAlert;

  var severity = props.severity,
      title = props.title,
      _props$description = props.description,
      description = _props$description === void 0 ? '' : _props$description;
  var context = (0, _react.useContext)(_Context.default);
  var styles = (0, _styles.default)();
  var theme = (0, _core.useTheme)();
  var severityIcon = (0, _react.useMemo)(function () {
    return {
      success: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ai.AiOutlineCheckCircle, {
        color: theme.palette.success.main,
        size: 20
      }),
      info: /*#__PURE__*/(0, _jsxRuntime.jsx)(_ai.AiOutlineInfoCircle, {
        color: theme.palette.info.main,
        size: 20
      }),
      warning: /*#__PURE__*/(0, _jsxRuntime.jsx)(_bs.BsExclamationTriangle, {
        color: theme.palette.warning.main,
        size: 20
      }),
      error: /*#__PURE__*/(0, _jsxRuntime.jsx)(_bs.BsExclamationTriangle, {
        color: theme.palette.error.main,
        size: 20
      })
    };
  }, []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Snackbar, {
    open: (_context$openAlert = context === null || context === void 0 ? void 0 : context.openAlert) !== null && _context$openAlert !== void 0 ? _context$openAlert : false,
    anchorOrigin: {
      vertical: 'top',
      horizontal: 'center'
    },
    autoHideDuration: 10000,
    onClose: context.handleCloseAlert,
    classes: {
      anchorOriginTopCenter: styles.anchorOriginTopCenter
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
      className: styles.root,
      children: [severityIcon[severity], /*#__PURE__*/(0, _jsxRuntime.jsxs)(_core.Box, {
        className: styles.container,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          className: styles.title,
          children: title
        }), description !== '' && /*#__PURE__*/(0, _jsxRuntime.jsx)(_core.Typography, {
          className: styles.description,
          children: description
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Atoms.Button, {
        variant: "text",
        className: styles.fiX,
        onClick: context === null || context === void 0 ? void 0 : context.handleCloseAlert,
        disableFocusRipple: false,
        disableTouchRipple: false,
        disableRipple: false,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_fi.FiX, {
          color: "#6F747A",
          size: 18
        })
      })]
    })
  });
};

var _default = Toast;
exports.default = _default;