"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette,
      breakpoints = _ref.breakpoints;
  var isLight = palette.type === 'light';
  return {
    root: (0, _defineProperty2.default)({
      width: '90%',
      backgroundColor: isLight ? '#F5FAFF' : '#232D3A',
      boxShadow: isLight ? '0px 0px 16px rgba(207, 218, 229, 0.8)' : '0px 2px 4px rgba(0, 0, 0, 0.5)',
      borderRadius: '2px',
      padding: '15px 17px',
      display: 'grid',
      gridTemplateColumns: 'max-content 1fr max-content',
      alignItems: 'normal'
    }, breakpoints.up('sm'), {
      width: 'max-content',
      maxWidth: 350
    }),
    container: {
      display: 'grid',
      gap: '8px',
      margin: '0 15px'
    },
    title: {
      fontSize: 14,
      lineHeight: '20px',
      display: 'flex',
      alignItems: 'center',
      letterSpacing: '0.35px',
      color: palette.text.primary,
      fontWeight: 500
    },
    description: {
      fontSize: 14,
      lineHeight: '20px',
      letterSpacing: '0.35px'
    },
    fiX: {
      padding: 'unset !important',
      minWidth: 'unset !important',
      height: 20
    },
    anchorOriginTopCenter: {
      top: 48
    }
  };
});

exports.default = _default;