declare const _default: {
    palette: {
        primary: {
            main: string;
            light: string;
            dark: string;
            contrastText: string;
        };
        text: {
            primary: string;
            secondary: string;
            disabled: string;
            hint: string;
            input: string;
        };
        background: {
            switch: string;
            switchThemeLight: string;
            switchThemeDark: string;
            default: string;
            paper: string;
            navbar: string;
            popover: string;
            popper: string;
            menu: string;
            card: string;
        };
        common?: import("@material-ui/core/styles/createPalette").CommonColors;
        type: import("@material-ui/core").PaletteType;
        contrastThreshold: number;
        tonalOffset: import("@material-ui/core/styles/createPalette").PaletteTonalOffset;
        secondary: import("@material-ui/core/styles/createPalette").PaletteColor;
        error: import("@material-ui/core/styles/createPalette").PaletteColor;
        warning: import("@material-ui/core/styles/createPalette").PaletteColor;
        info: import("@material-ui/core/styles/createPalette").PaletteColor;
        success: import("@material-ui/core/styles/createPalette").PaletteColor;
        grey: import("@material-ui/core").Color;
        divider: string;
        action: import("@material-ui/core/styles/createPalette").TypeAction;
        getContrastText: (background: string) => string;
        augmentColor: {
            (color: Partial<import("@material-ui/core").Color>, mainShade?: string | number | undefined, lightShade?: string | number | undefined, darkShade?: string | number | undefined): import("@material-ui/core/styles/createPalette").PaletteColor;
            (color: import("@material-ui/core").PaletteColorOptions): import("@material-ui/core/styles/createPalette").PaletteColor;
        };
        gradient?: import("@material-ui/core/styles/createPalette").PaletteColor | undefined;
    };
    overrides: {
        TuiBtn: {
            root: {
                borderRadius: number;
                fontSize: number;
                fontWeight: number;
                height: number;
                '&:hover': {
                    backgroundColor: string;
                };
            };
            contained: {
                boxShadow: string;
                '&:hover': {
                    boxShadow: string;
                };
                '&:active': {
                    boxShadow: string;
                };
                '&:disabled, &[disabled]': {
                    backgroundColor: string;
                    borderRadius: string;
                    color: string;
                };
            };
            label: {
                textTransform: string;
            };
            outlined: {
                border: string;
            };
            containedPrimary: {
                backgroundColor: string;
                '&:hover': {
                    backgroundColor: string;
                };
            };
            containedSecondary: {
                '&:hover': {
                    backgroundColor: string;
                };
            };
            containedSizeSmall: {
                height: number;
            };
            containedSizeLarge: {
                height: number;
            };
        };
        MuiTab: {
            root: {
                minWidth: string;
            };
        };
        MuiDialog: {
            paperWidthXs: {
                maxWidth: number;
            };
        };
        MuiInput: {
            underline: {
                '&:after': {
                    borderBottom: string;
                };
                '&:before': {
                    borderBottom: string;
                };
                '&:hover:not(.Mui-disabled):before': {
                    borderBottom: string;
                };
            };
            focused: {
                '&:after': {
                    borderBottom: string;
                };
            };
            disabled: {
                color: string;
                '&:before': {
                    borderBottom: string;
                };
            };
        };
        MuiInputBase: {
            fullWidth: {
                width: string;
            };
        };
        MuiOutlinedInput: {
            input: {
                padding: string;
            };
        };
        MuiPaper: {
            rounded: {
                borderRadius: number;
            };
            outlined: {
                border: string;
            };
        };
        MuiAvatar: {
            colorDefault: {
                backgroundColor: string;
            };
            colorPrimary: {
                backgroundColor: string;
            };
        };
        MuiCssBaseline: {
            '@global': {
                '*': {
                    margin: number;
                    padding: number;
                    outline: string;
                    fontFamily: string;
                    '&:focus': {
                        outline: string;
                    };
                    '-webkit-tap-highlight-color': string;
                };
                '*::-webkit-scrollbar': {
                    width: number;
                    height: number;
                };
                '*:hover::-webkit-scrollbar': {
                    backgroundColor: string;
                };
                '*:hover::-webkit-scrollbar-thumb': {
                    backgroundColor: string;
                };
                ul: {
                    listStyle: string;
                };
                a: {
                    textDecoration: string;
                    color: string;
                };
                '.grecaptcha-badge': {
                    bottom: string;
                    display: string;
                };
            };
        };
    };
    shadows: import("@material-ui/core/styles/shadows").Shadows;
    shape: import("@material-ui/core/styles/shape").Shape;
    breakpoints: import("@material-ui/core/styles/createBreakpoints").Breakpoints;
    direction: import("@material-ui/core").Direction;
    mixins: import("@material-ui/core/styles/createMixins").Mixins;
    props?: import("@material-ui/core/styles/props").ComponentsProps | undefined;
    spacing: import("@material-ui/core/styles/createSpacing").Spacing;
    transitions: import("@material-ui/core").Transitions;
    typography: import("@material-ui/core/styles/createTypography").Typography;
    zIndex: import("@material-ui/core/styles/zIndex").ZIndex;
    unstable_strictMode?: boolean | undefined;
};
export default _default;
